summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 9f6db11)
raw | patch | inline | side by side (parent: 9f6db11)
author | Han-Wen Nienhuys <hanwen@xs4all.nl> | |
Sun, 26 Nov 2006 16:42:49 +0000 (17:42 +0100) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Sun, 26 Nov 2006 20:24:44 +0000 (12:24 -0800) |
Signed-off-by: Han-Wen Nienhuys <hanwen@xs4all.nl>
Signed-off-by: Junio C Hamano <junkio@cox.net>
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-tag.sh | patch | blob | history |
diff --git a/git-tag.sh b/git-tag.sh
index ac269e3277d9b8c844e8c43b95695375dd829746..d53f94cd9c618e9c2032d3e6ad7af9f3866e7707 100755 (executable)
--- a/git-tag.sh
+++ b/git-tag.sh
SUBDIRECTORY_OK='Yes'
. git-sh-setup
+message_given=
annotate=
signed=
force=
annotate=1
shift
message="$1"
+ if test "$#" = "0"; then
+ die "error: option -m needs an argument"
+ exit 2
+ else
+ message_given=1
+ fi
;;
-u)
annotate=1
trap 'rm -f "$GIT_DIR"/TAG_TMP* "$GIT_DIR"/TAG_FINALMSG "$GIT_DIR"/TAG_EDITMSG' 0
if [ "$annotate" ]; then
- if [ -z "$message" ]; then
+ if [ -z "$message_given" ]; then
( echo "#"
echo "# Write a tag message"
echo "#" ) > "$GIT_DIR"/TAG_EDITMSG
grep -v '^#' <"$GIT_DIR"/TAG_EDITMSG |
git-stripspace >"$GIT_DIR"/TAG_FINALMSG
- [ -s "$GIT_DIR"/TAG_FINALMSG ] || {
+ [ -s "$GIT_DIR"/TAG_FINALMSG -o -n "$message_given" ] || {
echo >&2 "No tag message?"
exit 1
}